using System;
using System.Runtime.CompilerServices;

internal sealed class Delegate633 : MulticastDelegate
{
	public extern bool Invoke(ref TaskAwaiter taskAwaiter_0);

	public static bool smethod_0(ref TaskAwaiter taskAwaiter_0, Delegate633 delegate633_1)
	{
		return delegate633_1(ref taskAwaiter_0);
	}

	public extern Delegate633(object object_0, IntPtr intptr_0);

	static Delegate633()
	{
		Class10.smethod_13(typeof(Delegate633).TypeHandle);
	}

	internal static Delegate633 delegate633_0;
}
